---

steps:
  build:
    image: klakegg/hugo 
    commands:
      - hugo
    when:
      - event: push
      - event: manual

  deploy:
    image: appleboy/drone-scp
    settings:
      strip_components: 1
      host:
        - reinmuth.uberspace.de
      username: moanos
      target: /home/moanos/html/
      source: public/
      key:
        from_secret: ssh_key
    when:
      - event: push
      - event: manual
